unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, AdvEdit, AdvCustomControl,
  AdvTreeViewBase, AdvTreeViewData, AdvCustomTreeView, AdvTreeView;

type
  TForm1 = class(TForm)
    AdvTreeView1: TAdvTreeView;
    procedure AdvTreeView1GetInplaceEditor(Sender: TObject;
      ANode: TAdvTreeViewVirtualNode; AColumn: Integer;
      var AInplaceEditorClass: TAdvTreeViewInplaceEditorClass);
    procedure AdvTreeView1CustomizeInplaceEditor(Sender: TObject;
      ANode: TAdvTreeViewVirtualNode; AColumn: Integer;
      AInplaceEditor: TWinControl);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure EditKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.AdvTreeView1CustomizeInplaceEditor(Sender: TObject;
  ANode: TAdvTreeViewVirtualNode; AColumn: Integer;
  AInplaceEditor: TWinControl);
begin
  TAdvEdit(AInplaceEditor).OnKeyUp := EditKeyUp;
end;

procedure TForm1.AdvTreeView1GetInplaceEditor(Sender: TObject;
  ANode: TAdvTreeViewVirtualNode; AColumn: Integer;
  var AInplaceEditorClass: TAdvTreeViewInplaceEditorClass);
begin
  AInplaceEditorClass := TAdvEdit;
end;

procedure TForm1.EditKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = VK_RETURN then
  begin
    AdvTreeView1.StopEditing;
    Key := 0;
  end;
end;

end.
